=== debian/changelog ===
ros-melodic-mir-driver (1.0.6-1stretch) stretch; urgency=high

  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-melodic-mir-driver (1.0.5-1stretch) stretch; urgency=high

  * Add optional prefix parameter to fake_mir_joint_publisher (#47 <https://github.com/dfki-ric/mir_robot/issues/47>)
  * tf_remove_child_frames: Don't publish empty TFs
  * Add sdc21x0 package, MC/currents topic
  * Contributors: Martin Günther, Nils Niemann

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 30 Apr 2020 22:00:00 -0000

ros-melodic-mir-driver (1.0.4-1stretch) stretch; urgency=high

  * Remove garbage file
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-melodic-mir-driver (1.0.3-1stretch) stretch; urgency=high

  * Make disable_map work with MiR software 2.0
    See #5 <https://github.com/dfki-ric/mir_robot/issues/5>.
  * mir_driver: Optionally disable the map topic + TF frame (#6 <https://github.com/dfki-ric/mir_robot/issues/6>)
    This is useful when running one's own SLAM / localization nodes.
    Fixes #5 <https://github.com/dfki-ric/mir_robot/issues/5>.
  * Split scan_rep117 topic into two separate topics
    This fixes the problem that the back laser scanner was ignored in the
    navigation costmap in Gazebo (probably because in Gazebo, both laser
    scanners have the exact same timestamp).
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 03 Mar 2019 23:00:00 -0000

ros-melodic-mir-driver (1.0.2-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 29 Jul 2018 22:00:00 -0000

ros-melodic-mir-driver (1.0.1-1stretch) stretch; urgency=high

  * mir_driver: Remove leading slashes in TF frames
  * mir_driver: Install launch directory
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 16 Jul 2018 22:00:00 -0000

ros-melodic-mir-driver (1.0.0-1stretch) stretch; urgency=high

  * Initial release
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 11 Jul 2018 22:00:00 -0000
