=== debian/control ===
Source: ros-melodic-mir-driver
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), python-websocket, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-diagnostic-msgs, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-mir-actions, ros-melodic-mir-msgs, ros-melodic-move-base-msgs, ros-melodic-nav-msgs, ros-melodic-rosgraph-msgs, ros-melodic-roslaunch, ros-melodic-rospy, ros-melodic-rospy-message-converter, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-visualization-msgs
Homepage: https://github.com/dfki-ric/mir_robot
Standards-Version: 3.9.2

Package: ros-melodic-mir-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-websocket, ros-melodic-actionlib-msgs, ros-melodic-diagnostic-msgs, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-mir-actions, ros-melodic-mir-description, ros-melodic-mir-msgs, ros-melodic-move-base-msgs, ros-melodic-nav-msgs, ros-melodic-robot-state-publisher, ros-melodic-rosgraph-msgs, ros-melodic-rospy, ros-melodic-rospy-message-converter, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-visualization-msgs
Description: A reverse ROS bridge for the MiR100 robot
