## ros-melodic-mir-driver 1.0.8

=== debian/changelog ===
ros-melodic-mir-driver (1.0.8-1bionic) bionic; urgency=high

  * Merge branch 'melodic-2.8' into melodic
  * Subscribe to move_base_simple/goal in relative namespace
  * Use absolute topics for /tf, /tf_static, /map etc.
  * Rename tf frame and topic 'odom_comb' -> 'odom'
    This is how they are called on the real MiR since MiR software 2.0.
  * Fix handling of tf_static topic
    This does two things:
    1. Make the tf_static topic latched.
    2. Cache all transforms, publish as one message.
  * Increase queue_size for publishers + subscribers to 10
    One case where this was a problem was the tf_static topic: Since
    multiple messages are being published at once, the subscriber often
    missed one. The tf_static topic will be fixed anyway in the next commit,
    but let's increase the queue_size anyway to avoid such bugs in the
    future.
  * Fix type warning
  * Update topic list to 2.8.3.1
  * Reformat python code using black
  * Remove outdated topics
    These topics don't exist on MiR software 2.8.3 any more (most of them
    have been removed a long time ago).
    Fixes #37 <https://github.com/dfki-ric/mir_robot/issues/37>.
  * Remove MirStatus
    This message was removed in MiR software 2.0 (Renamed to RobotStatus).
  * Use same MirMoveBase params as real MiR (2.8.3)
    This shouldn't make a difference (it used to work before). Just removing
    one more potential source of error.
  * Fix: Converts move_base_simple/goal into a move_base action. (#62 <https://github.com/dfki-ric/mir_robot/issues/62>)
    At least MIR software version 2.8 does not react properly to move_base_simple/goal messages. This implements a workaround.
    Closes #60 <https://github.com/dfki-ric/mir_robot/issues/60>.
  * Fix: Adds subscription to "tf_static". (#58 <https://github.com/dfki-ric/mir_robot/issues/58>)
    Some transformations are published on this topic and are needed to
    obtain a full tf tree. E.g. "base_footprint" to "base_link"
  * Minor: Removes /particlecloud from the list of published topics. (#57 <https://github.com/dfki-ric/mir_robot/issues/57>)
  * Fix: Add missing dict_filter keyword argument for cmd_vel msgs (#56 <https://github.com/dfki-ric/mir_robot/issues/56>)
  * Remove relative_move_action (MiR => 2.4.0)
    This action was merged into the generic MirMoveBaseAction in MiR
    software 2.4.0.
  * Adjust to changed MirMoveBase action (MiR >= 2.4.0)
    See #45 <https://github.com/dfki-ric/mir_robot/issues/45>.
  * Adjust cmd_vel topic to TwistStamped (MiR >= 2.7)
    See #45 <https://github.com/dfki-ric/mir_robot/issues/45>.
  * Contributors: Martin Günther, matthias-mayr

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 10 Jun 2021 22:00:00 -0000

ros-melodic-mir-driver (1.0.7-1bionic) bionic; urgency=high

  * Fix subscribing twice to same topic (TF etc)
    There was a flaw in the subscriber logic that caused the mir_bridge to
    subscribe multiple times to the same topic from the MiR, especially for
    latched topics. This can be seen by repeated lines in the output:
    starting to stream messages on topic 'tf'
    starting to stream messages on topic 'tf'
    starting to stream messages on topic 'tf'
    Probably related to #64 <https://github.com/dfki-ric/mir_robot/issues/64>.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 10 Feb 2021 23:00:00 -0000

ros-melodic-mir-driver (1.0.6-1bionic) bionic; urgency=high

  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-melodic-mir-driver (1.0.5-1bionic) bionic; urgency=high

  * Add optional prefix parameter to fake_mir_joint_publisher (#47 <https://github.com/dfki-ric/mir_robot/issues/47>)
  * tf_remove_child_frames: Don't publish empty TFs
  * Add sdc21x0 package, MC/currents topic
  * Contributors: Martin Günther, Nils Niemann

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 30 Apr 2020 22:00:00 -0000

ros-melodic-mir-driver (1.0.4-1bionic) bionic; urgency=high

  * Remove garbage file
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-melodic-mir-driver (1.0.3-1bionic) bionic; urgency=high

  * Make disable_map work with MiR software 2.0
    See #5 <https://github.com/dfki-ric/mir_robot/issues/5>.
  * mir_driver: Optionally disable the map topic + TF frame (#6 <https://github.com/dfki-ric/mir_robot/issues/6>)
    This is useful when running one's own SLAM / localization nodes.
    Fixes #5 <https://github.com/dfki-ric/mir_robot/issues/5>.
  * Split scan_rep117 topic into two separate topics
    This fixes the problem that the back laser scanner was ignored in the
    navigation costmap in Gazebo (probably because in Gazebo, both laser
    scanners have the exact same timestamp).
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 03 Mar 2019 23:00:00 -0000

ros-melodic-mir-driver (1.0.2-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Sun, 29 Jul 2018 22:00:00 -0000

ros-melodic-mir-driver (1.0.1-1bionic) bionic; urgency=high

  * mir_driver: Remove leading slashes in TF frames
  * mir_driver: Install launch directory
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 16 Jul 2018 22:00:00 -0000

ros-melodic-mir-driver (1.0.0-1bionic) bionic; urgency=high

  * Initial release
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 11 Jul 2018 22:00:00 -0000
